import request from '@/utils/request'

// 查询应用程序管理列表
export function listApp(query) {
    return request({
        url: '/obj/app/list',
        method: 'get',
        params: query
    })
}

// 查询应用程序管理详细
export function getApp(appId) {
    return request({
        url: '/obj/app/' + appId,
        method: 'get'
    })
}

// 新增应用程序管理
export function addApp(data) {
    return request({
        url: '/obj/app',
        method: 'post',
        data: data
    })
}

// 修改应用程序管理
export function updateApp(data) {
    return request({
        url: '/obj/app',
        method: 'put',
        data: data
    })
}

// 删除应用程序管理
export function delApp(appId) {
    return request({
        url: '/obj/app/' + appId,
        method: 'delete'
    })
}
